"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DQLClient = void 0;
var data = {
    namespaces: [
        {
            name: 'L',
            help: '日志',
        },
        {
            name: 'M',
            help: '指标',
        },
        {
            name: 'O',
            help: '对象',
        },
        {
            name: 'T',
            help: '链路',
        },
        {
            name: 'R',
            help: 'RUM',
        },
    ],
    showFuncs: [
        { info: '对象历史', name: '' },
        { info: '日志（logging）数据', name: '' },
        { info: 'show_logging_source', name: 'show_logging_source' },
        { info: 'show_logging_field', name: 'show_logging_field' },
        { info: '备份日志', name: '' },
        { info: '事件（keyevent）', name: '' },
        { info: 'show_event_source', name: 'show_event_source' },
        { info: 'show_event_field', name: 'show_event_field' },
        { info: 'APM（tracing）数据', name: '' },
        { info: 'show_tracing_source', name: 'show_tracing_source' },
        { info: 'show_tracing_service', name: 'show_tracing_service' },
        { info: 'show_tracing_field', name: 'show_tracing_field' },
        { info: 'profile 数据', name: '' },
        { info: 'show_profiling_source', name: 'show_profiling_source' },
        { info: 'show_profiling_field', name: 'show_profiling_field' },
        { info: 'RUM 数据', name: '' },
        { info: 'show_rum_source', name: 'show_rum_source' },
        { info: 'show_rum_type', name: 'show_rum_type' },
        { info: 'show_rum_field', name: 'show_rum_field' },
        { info: '用户资源目录（custom object）', name: '' },
        { info: 'show_cobject_source', name: 'show_cobject_source' },
        { info: 'show_custom_object_class', name: 'show_custom_object_class' },
        { info: 'show_custom_object_field', name: 'show_custom_object_field' },
        { info: '网络 eBPF（network）数据', name: '' },
        { info: 'show_network_source', name: 'show_network_source' },
        { info: 'show_network_field', name: 'show_network_field' },
        { info: '时序（metric）数据', name: '' },
        { info: 'show_measurement', name: 'show_measurement' },
        { info: 'show_tag_key', name: 'show_tag_key' },
        { info: 'show_tag_value', name: 'show_tag_value' },
        { info: 'show_field_key', name: 'show_field_key' },
        { info: '工作空间信息', name: '' },
        { info: 'show_workspaces', name: 'show_workspaces' },
        // 第二张图部分
        { info: 'show_object_source', name: 'show_object_source' },
        { info: 'show_object_class', name: 'show_object_class' },
        { info: 'show_object_field', name: 'show_object_field' },
        { info: 'show_object_label', name: 'show_object_label' },
    ],
    indexs: ['index1', 'default', 'abc', 'dbd'],
    dataSource: ['source1', 'cpu', 'source2', 'ddsource'],
    fieldNames: [
        {
            info: '主机名称',
            type: 'string',
            name: 'host',
        },
        {
            info: 'IP地址',
            type: 'string',
            name: 'ip',
        },
        {
            info: 'CPU使用率',
            type: 'number',
            name: 'cpu_usage',
        },
        {
            info: '内存使用率',
            type: 'number',
            name: 'mem_usage',
        },
        {
            info: '操作系统',
            type: 'string',
            name: 'os',
        },
        {
            info: '启动时间',
            type: 'datetime',
            name: 'boot_time',
        },
    ],
    fieldValues: [
        'alpha',
        'bravo',
        'charlie',
        'delta',
        'echo',
        'foxtrot',
        'golf',
        'hotel',
        'india',
        'juliet',
        'kilo',
        'lima',
        'mike',
        'november',
        'oscar',
        'papa',
        'quebec',
        'romeo',
        'sierra',
        'tango',
        'uniform',
        'victor',
        'whiskey',
        'xray',
        'yankee',
        'zulu',
    ],
};
var DQLClient = /** @class */ (function () {
    function DQLClient() {
    }
    DQLClient.prototype.namespace = function () {
        console.log('===namespace', data.namespaces);
        return Promise.resolve(data.namespaces);
    };
    DQLClient.prototype.showFunctions = function () {
        return Promise.resolve(data.showFuncs);
    };
    DQLClient.prototype.indexValues = function (namespace) {
        return Promise.resolve(data.indexs);
    };
    DQLClient.prototype.datasourceValues = function (namespace, indexs) {
        return Promise.resolve(data.dataSource);
    };
    DQLClient.prototype.fieldValues = function (namespace, indexs, datasource, matcher) {
        console.log('===matcher', matcher);
        return Promise.resolve(data.fieldValues);
    };
    DQLClient.prototype.fieldNames = function (namespace, indexs, datasource) {
        return Promise.resolve(data.fieldNames);
    };
    return DQLClient;
}());
exports.DQLClient = DQLClient;
//# sourceMappingURL=dql.js.map