"use strict";
// Copyright 2021 The Prometheus Authors
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDQLClient = isDQLClient;
exports.newCompleteStrategy = newCompleteStrategy;
var hybrid_1 = require("./hybrid");
var dql_1 = require("../client/dql");
function isDQLClient(dqlClent) {
    var client = dqlClent;
    return (typeof client.datasourceValues === 'function' &&
        typeof client.fieldNames === 'function' &&
        typeof client.indexValues === 'function' &&
        typeof client.namespace === 'function' &&
        typeof client.showFunctions === 'function');
}
function newCompleteStrategy(dqlClent) {
    if (dqlClent && isDQLClient(dqlClent)) {
        return new hybrid_1.HybridComplete(dqlClent);
    }
    return new hybrid_1.HybridComplete(new dql_1.DQLClient());
}
//# sourceMappingURL=index.js.map