import { CompleteStrategy } from './index';
import { SyntaxNode } from '@lezer/common';
import { CompletionContext, CompletionResult } from '@codemirror/autocomplete';
import { EditorState } from '@codemirror/state';
import { Matcher } from '../types';
import { DQLClient } from '../client';
export declare enum ContextKind {
    Namespace = 0,
    Index = 1,
    DataSource = 2,
    ShowFunction = 3,
    FieldName = 4,
    FieldValue = 5,
    Function = 6,
    OuterFunction = 7,
    BinOp = 8,
    MatchOp = 9,
    ConnectOp = 10,
    Duration = 11,
    Offset = 12,
    SOffset = 13,
    Limit = 14,
    SLimit = 15,
    Orderby = 16,
    SOrderby = 17,
    By = 18,
    Number = 19,
    Desc = 20,
    Asc = 21
}
export interface Context {
    kind: ContextKind;
    Namespace?: string;
    Index?: string[];
    DataSource?: string[];
    matcher?: Matcher;
}
export declare function computeStartCompletePosition(state: EditorState, node: SyntaxNode, pos: number): number;
export declare function analyzeCompletion(state: EditorState, node: SyntaxNode, pos: number): Context[];
export declare class HybridComplete implements CompleteStrategy {
    private readonly dqlClient;
    constructor(dqlClient?: DQLClient);
    DQL(context: CompletionContext): Promise<CompletionResult | null> | CompletionResult | null;
    private autocompleteNamespace;
    private autocompleteIndex;
    private autocompleteDataSource;
    private autocompleteShowFuncs;
    private autocompleteFieldNames;
    private autocomplteFieldValues;
}
