// Copyright 2021 The Prometheus Authors
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
import { HybridComplete } from './hybrid';
import { DQLClient } from '../client/dql';
export function isDQLClient(dqlClent) {
    const client = dqlClent;
    return (typeof client.datasourceValues === 'function' &&
        typeof client.fieldNames === 'function' &&
        typeof client.indexValues === 'function' &&
        typeof client.namespace === 'function' &&
        typeof client.showFunctions === 'function');
}
export function newCompleteStrategy(dqlClent) {
    if (dqlClent && isDQLClient(dqlClent)) {
        return new HybridComplete(dqlClent);
    }
    return new HybridComplete(new DQLClient());
}
//# sourceMappingURL=index.js.map